# @summary A short summary of the purpose of this class
#
# A description of what this class does
#
# @example
#   include variables_entorno
class variables_entorno {
  environment { 'Variable1':
    value => 'Esto es el ejemplo de la variable',
  }
  environment { 'Variable2':
    value => 'Directorio1',
  }
  environment { 'Variable3':
    value => 'Archivo1',
  }
  exec { 'imprimir_variable':
    command   => "/bin/echo ${Variable1}",
    path      => ['/bin', '/usr/bin'],
    logoutput => true,
  }
  file { "/${Variable2}":
    ensure => directory,
    owner  => 'root',
    group  => 'root',
    mode   => '0755',
  }
  file { "/${Variable2}/${Variable3}":
    ensure => file,
    owner  => 'root',
    group  => 'root',
    mode   => '0755',
  }
}
